Page MenuHomePhabricator

TypeError: $trigger.data(...).$dialog is undefined
Closed, ResolvedPublic1 Story Points

Description

I can't test VisualEditor when ContentTranslation is enabled, because I get this

TypeError: $trigger.data(...).$dialog is undefined load.php:4:588
"Exception in store-localstorage-update:" load.php:177:555
"NS_ERROR_DOM_QUOTA_REACHED: Persistent storage maximum size reached" DOMException >[NS_ERROR_DOM_QUOTA_REACHED: "Persistent storage maximum size reached"
code: 1014
nsresult: 0x805303f6
location: https://pt.wikipedia.org/w/load.php?debug=false&lang=pt-br&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=4%2BsuyLdS:175]

when I access
https://pt.wikipedia.org/w/index.php?title=Usu%C3%A1rio%28a%29:He7d3r/Testes&veaction=edit
using Firefox 38 on linux. Apparently, that comes from

$trigger.data('callout').$dialog.find('li.cx-campaign-translations').replaceWith(getTranslationsItem());

https://github.com/wikimedia/mediawiki-extensions-ContentTranslation/blob/88324ec56bd780ce1d27df70c819a8a165181990/modules/campaigns/ext.cx.campaigns.contributionsmenu.js#L123
because VisualEditor works again if I disable the beta feature on
https://pt.wikipedia.org/wiki/Special:Preferences#mw-prefsection-betafeatures

(originally reported on T101406)

Event Timeline

He7d3r created this task.Jun 4 2015, 6:06 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 6:06 PM
santhosh claimed this task.Jun 8 2015, 8:50 AM
santhosh triaged this task as Normal priority.
santhosh set Security to None.
santhosh added a subscriber: santhosh.

Change 216623 had a related patch set uploaded (by Santhosh):
Fix js error in the CX contribution menu when VE is triggered

https://gerrit.wikimedia.org/r/216623

santhosh moved this task from Backlog to In Review on the LE-Sprint-87 board.Jun 8 2015, 12:22 PM
santhosh edited a custom field.Jun 8 2015, 12:26 PM

Change 216623 merged by jenkins-bot:
Fix js error in the CX contribution menu when VE is triggered

https://gerrit.wikimedia.org/r/216623

santhosh closed this task as Resolved.Jun 9 2015, 11:42 AM
santhosh moved this task from In Review to Done on the LE-Sprint-87 board.